org.firebirdsql.jna.fbclient

## Class ISC_BLOB_DESC

- java.lang.Object
- - com.sun.jna.Structure
  - - org.firebirdsql.jna.fbclient.ISC_BLOB_DESC

- Direct Known Subclasses:
    ISC_BLOB_DESC.ByReference, ISC_BLOB_DESC.ByValue

      public class ISC_BLOB_DESC
      extends com.sun.jna.Structure

  JNA wrapper for ISC_BLOB_DESC.

  This file was initially autogenerated by JNAerator, a tool written by Olivier Chafik that uses a few opensource projects..

  This file was modified manually, do not automatically regenerate!

  Since:
    3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ISC_BLOB_DESC.ByReference`
    `static class` | `ISC_BLOB_DESC.ByValue`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `com.sun.jna.Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `blob_desc_charset`
    `byte[]` | `blob_desc_field_name`
    `byte[]` | `blob_desc_relation_name`
    `short` | `blob_desc_segment_size`
    `short` | `blob_desc_subtype`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISC_BLOB_DESC()`
    `ISC_BLOB_DESC(short blob_desc_subtype, short blob_desc_charset, short blob_desc_segment_size, byte[] blob_desc_field_name, byte[] blob_desc_relation_name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### blob_desc_subtype

          public short blob_desc_subtype

    - #### blob_desc_charset

          public short blob_desc_charset

    - #### blob_desc_segment_size

          public short blob_desc_segment_size

    - #### blob_desc_field_name

          public byte[] blob_desc_field_name

    - #### blob_desc_relation_name

          public byte[] blob_desc_relation_name

  - ### Constructor Detail

    - #### ISC_BLOB_DESC

          public ISC_BLOB_DESC()

    - #### ISC_BLOB_DESC

          public ISC_BLOB_DESC(short blob_desc_subtype,
                               short blob_desc_charset,
                               short blob_desc_segment_size,
                               byte[] blob_desc_field_name,
                               byte[] blob_desc_relation_name)

      Parameters:
        `blob_desc_field_name` - C type : ISC_UCHAR[32]
        `blob_desc_relation_name` - C type : ISC_UCHAR[32]

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Specified by:
        `getFieldOrder` in class `com.sun.jna.Structure`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.